From 4b42204da774cec2345e140c16a49c1ac04e37de Mon Sep 17 00:00:00 2001
From: Jonathan Hall <flimzy@flimzy.com>
Date: Sun, 25 Oct 2015 20:01:00 +0100
Subject: [PATCH] Don't swallow $@ when configure() fails, for accurate error
 reporting.

---
 Debian/Debhelper/Buildsystem/cmake.pm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/Debian/Debhelper/Buildsystem/cmake.pm b/Debian/Debhelper/Buildsystem/cmake.pm
index 6bd591b..882e72c 100644
--- a/Debian/Debhelper/Buildsystem/cmake.pm
+++ b/Debian/Debhelper/Buildsystem/cmake.pm
@@ -85,12 +85,12 @@ sub configure {
 	$this->mkdir_builddir();
 	eval { 
 		$this->doit_in_builddir("cmake", $this->get_source_rel2builddir(), @flags, @_);
-	};
-	if ($@) {
+	} or do {
+		my $err = $@ || "unknown error";
 		if (-e $this->get_buildpath("CMakeCache.txt")) {
 			$this->doit_in_builddir("tail -v -n +0 CMakeCache.txt");
 		}
-		die $@;
+		die $err;
 	}
 }
 
-- 
2.6.1

